import PictorialBarView from "./PictorialBarView.mjs";
import PictorialBarSeriesModel from "./PictorialBarSeries.mjs";
import { createProgressiveLayout, layout } from "../../layout/barGrid.mjs";
import { curry } from "../../../../../../zrender@5.4.4/node_modules/zrender/lib/core/util.mjs";
function install(registers) {
  registers.registerChartView(PictorialBarView);
  registers.registerSeriesModel(PictorialBarSeriesModel);
  registers.registerLayout(registers.PRIORITY.VISUAL.LAYOUT, curry(layout, "pictorialBar"));
  registers.registerLayout(registers.PRIORITY.VISUAL.PROGRESSIVE_LAYOUT, createProgressiveLayout("pictorialBar"));
}
export {
  install
};
